Page MenuHomePhabricator

UI elements of video.js player are hidden by thumbnail frame
Closed, ResolvedPublic

Description

When frame size is small, things like the volume controller fall outside the frame of the thumbnail and are not visible

Cause: The thumbinner class has overflow:hidden and thus these interface elements are not (entirely visible).

The thumbinner has existed like this for a very long time already. I'm not entirely sure why this is needed. It's needed for thumbcaption (to deal with very long unbreakable words), but this should probably be replace with setting word-wrap: break-word; recently renamed to overflow-wrap: break-word; on the thumbcaption class instead.

Event Timeline

TheDJ created this task.Apr 10 2016, 10:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2016, 10:49 PM

Change 282667 had a related patch set uploaded (by TheDJ):
Thumbnails: allow overflow inside thumbnails

https://gerrit.wikimedia.org/r/282667

TheDJ updated the task description. (Show Details)Apr 11 2016, 11:16 AM

Got any screenshot / example?

TheDJ added a comment.Apr 11 2016, 7:57 PM

before:

after patch:

matmarex closed this task as Resolved.Apr 11 2016, 9:35 PM
matmarex assigned this task to TheDJ.
matmarex removed a project: Patch-For-Review.

Change 282667 merged by jenkins-bot:
Thumbnails: allow overflow inside thumbnails

https://gerrit.wikimedia.org/r/282667

TheDJ moved this task from Backlog to Done on the TimedMediaHandler board.Apr 12 2016, 7:36 PM

Change 290821 had a related patch set uploaded (by TheDJ):
Allow video.js to overflow thumbinner

https://gerrit.wikimedia.org/r/290821

matmarex closed this task as Resolved.May 27 2016, 12:12 PM

Change 290821 merged by jenkins-bot:
Allow video.js to overflow thumbinner

https://gerrit.wikimedia.org/r/290821